[SciPy-user] problem of Installing scipy

Huang, Zhong Zhong.Huang at uth.tmc.edu
Thu Mar 30 17:03:34 CST 2006


Hi, 
  I fail to build scipy. The the output of runing 'python setup.py install' is
as following. 1. 
I also attached the output of running 2. 
python -c 'from numpy.f2py.diagnoise import run ; run()'

1. *****************************output of running install************************************************************ 
fft_opt_info:
fftw3_info:
/usr/lib64/python2.4/site-packages/numpy/distutils/system_info.py:540: UserWarning: Library error: libs=['fftw3'] found_libs=[]
  warnings.warn("Library error: libs=%s found_libs=%s" % \
  FOUND:
    libraries = ['fftw3']
    library_dirs = ['/usr/lib']
    define_macros = [('SCIPY_FFTW3_H', None)]
    include_dirs = ['/usr/include']

djbfft_info:
  NOT AVAILABLE

  FOUND:
    libraries = ['fftw3']
    library_dirs = ['/usr/lib']
    define_macros = [('SCIPY_FFTW3_H', None)]
    include_dirs = ['/usr/include']

blas_opt_info:
blas_mkl_info:
/usr/lib64/python2.4/site-packages/numpy/distutils/system_info.py:540: UserWarning: Library error: libs=['mkl', 'vml', 'guide'] found_libs=[
  warnings.warn("Library error: libs=%s found_libs=%s" % \
  NOT AVAILABLE

atlas_blas_threads_info:
Setting PTATLAS=ATLAS
/usr/lib64/python2.4/site-packages/numpy/distutils/system_info.py:540: UserWarning: Library error: libs=['ptf77blas', 'ptcblas', 'atlas'] fo
  warnings.warn("Library error: libs=%s found_libs=%s" % \
  NOT AVAILABLE
atlas_blas_info:
/usr/lib64/python2.4/site-packages/numpy/distutils/system_info.py:540: UserWarning: Library error: libs=['f77blas', 'cblas', 'atlas'] found_
  warnings.warn("Library error: libs=%s found_libs=%s" % \
  NOT AVAILABLE

/usr/lib64/python2.4/site-packages/numpy/distutils/system_info.py:1273: UserWarning: 
    Atlas (http://math-atlas.sourceforge.net/) libraries not found.
    Directories to search for the libraries can be specified in the
    numpy/distutils/site.cfg file (section [atlas]) or by setting
    the ATLAS environment variable.
  warnings.warn(AtlasNotFoundError.__doc__)
blas_info:
Replacing _lib_names[0]=='blas' with 'fblas'
/usr/lib64/python2.4/site-packages/numpy/distutils/system_info.py:540: UserWarning: Library error: libs=['fblas'] found_libs=[]
  warnings.warn("Library error: libs=%s found_libs=%s" % \
Replacing _lib_names[0]=='fblas' with 'fblas'
  FOUND:
    libraries = ['fblas']
    library_dirs = ['/usr/local/lib']
    language = f77

  FOUND:
    libraries = ['fblas']
    library_dirs = ['/usr/local/lib']
    define_macros = [('NO_ATLAS_INFO', 1)]
    language = f77

lapack_opt_info:
lapack_mkl_info:
mkl_info:
  NOT AVAILABLE

  NOT AVAILABLE

atlas_threads_info:
Setting PTATLAS=ATLAS
/usr/lib64/python2.4/site-packages/numpy/distutils/system_info.py:540: UserWarning: Library error: libs=['lapack_atlas'] found_libs=[]
  warnings.warn("Library error: libs=%s found_libs=%s" % \
numpy.distutils.system_info.atlas_threads_info
  NOT AVAILABLE

atlas_info:
numpy.distutils.system_info.atlas_info
  NOT AVAILABLE
/usr/lib64/python2.4/site-packages/numpy/distutils/system_info.py:1192: UserWarning: 
    Atlas (http://math-atlas.sourceforge.net/) libraries not found.
    Directories to search for the libraries can be specified in the
    numpy/distutils/site.cfg file (section [atlas]) or by setting
    the ATLAS environment variable.
  warnings.warn(AtlasNotFoundError.__doc__)
lapack_info:
Replacing _lib_names[0]=='lapack' with 'flapack'
/usr/lib64/python2.4/site-packages/numpy/distutils/system_info.py:540: UserWarning: Library error: libs=['flapack'] found_libs=[]
  warnings.warn("Library error: libs=%s found_libs=%s" % \
Replacing _lib_names[0]=='flapack' with 'flapack'
  FOUND:
    libraries = ['flapack']
    library_dirs = ['/usr/local/lib']
    language = f77

  FOUND:
    libraries = ['flapack', 'fblas']
    library_dirs = ['/usr/local/lib']
    define_macros = [('NO_ATLAS_INFO', 1)]
    language = f77

non-existing path in 'Lib/linsolve': 'tests'
Traceback (most recent call last):
  File "setup.py", line 48, in ?
    setup_package()
  File "setup.py", line 34, in setup_package
    config.add_subpackage('Lib')
  File "/usr/lib64/python2.4/site-packages/numpy/distutils/misc_util.py", line 728, in add_subpackage
    caller_level = 2)
  File "/usr/lib64/python2.4/site-packages/numpy/distutils/misc_util.py", line 711, in get_subpackage
    caller_level = caller_level + 1)
  File "/usr/lib64/python2.4/site-packages/numpy/distutils/misc_util.py", line 660, in _get_configuration_from_setup_py
    config = setup_module.configuration(*args)
  File "./Lib/setup.py", line 12, in configuration
    config.add_subpackage('linsolve')
  File "/usr/lib64/python2.4/site-packages/numpy/distutils/misc_util.py", line 728, in add_subpackage
    caller_level = 2)
  File "/usr/lib64/python2.4/site-packages/numpy/distutils/misc_util.py", line 711, in get_subpackage
    caller_level = caller_level + 1)
  File "/usr/lib64/python2.4/site-packages/numpy/distutils/misc_util.py", line 660, in _get_configuration_from_setup_py
    config = setup_module.configuration(*args)
  File "Lib/linsolve/setup.py", line 58, in configuration
    config.add_subpackage( 'umfpack')
     File "/usr/lib64/python2.4/site-packages/numpy/distutils/misc_util.py", line 728, in add_subpackage
    caller_level = 2)
  File "/usr/lib64/python2.4/site-packages/numpy/distutils/misc_util.py", line 711, in get_subpackage
    caller_level = caller_level + 1)
  File "/usr/lib64/python2.4/site-packages/numpy/distutils/misc_util.py", line 646, in _get_configuration_from_setup_py
    ('.py', 'U', 1))
  File "Lib/linsolve/umfpack/setup.py", line 22
    libraries = ['cblas'],
            ^
SyntaxError: invalid syntax

2. ********************output of running python -c ' from numpy.f2py.diagonose import run; run()' ************************************

------
os.name='posix'
------
sys.platform='linux2'
------
sys.version:
2.4.2 (#1, Nov 10 2005, 13:31:13) 
[GCC 3.4.4 (Gentoo 3.4.4-r1, ssp-3.4.4-1.0, pie-8.7.8)]
------
sys.prefix:
/usr
------
sys.path=':/usr/lib/portage/pym:/home/zhuang/EMAN/lib:/home/zhuang/EMAN2/lib:/usr/lib/python24.zip:/usr/lib/python2.4:/usr/lib/python2.4/plat-linux2:/usr/lib/python2.4/lib-tk:/usr/lib64/python2.4/lib-dynload:/usr/lib64/python2.4/site-packages:/usr/lib64/python2.4/site-packages/Numeric:/usr/lib64/python2.4/site-packages/PIL:/usr/lib64/python2.4/site-packages/gtk-2.0:/usr/lib/python2.4/site-packages:/usr/lib/python2.4/site-packages/Numeric:/usr/lib/python2.4/site-packages/PIL:/usr/lib/python2.4/site-packages/gtk-2.0'
------
Found Numeric version '23.7' in /usr/lib64/python2.4/site-packages/Numeric/Numeric.pyc
Found numarray version '1.3.1' in /usr/lib64/python2.4/site-packages/numarray/__init__.pyc
Found new numpy version '0.9.7.2308' in /usr/lib64/python2.4/site-packages/numpy/__init__.pyc
Found f2py2e version '2_2308' in /usr/lib64/python2.4/site-packages/numpy/f2py/f2py2e.pyc
Found numpy.distutils version '0.4.0' in '/usr/lib64/python2.4/site-packages/numpy/distutils/__init__.pyc'
------
Importing numpy.distutils.fcompiler ... ok
------
Checking availability of supported Fortran compilers:
customize CompaqFCompiler
customize NoneFCompiler
customize AbsoftFCompiler
Could not locate executable ifort
Could not locate executable ifc
Could not locate executable ifort
Could not locate executable efort
Could not locate executable efc
customize IntelFCompiler
Could not locate executable gfortran
Could not locate executable f95
customize GnuFCompiler
customize SunFCompiler
customize VastFCompiler
customize GnuFCompiler
customize IbmFCompiler
customize Gnu95FCompiler
customize IntelVisualFCompiler
customize G95FCompiler
customize IntelItaniumFCompiler
customize PGroupFCompiler
customize LaheyFCompiler
customize CompaqVisualFCompiler
customize MipsFCompiler
customize HPUXFCompiler
customize IntelItaniumVisualFCompiler
customize NAGFCompiler
List of available Fortran compilers:
  --fcompiler=gnu  GNU Fortran Compiler (3.4.4)
List of unavailable Fortran compilers:
  --fcompiler=absoft   Absoft Corp Fortran Compiler
  --fcompiler=compaq   Compaq Fortran Compiler
  --fcompiler=compaqv  DIGITAL|Compaq Visual Fortran Compiler
  --fcompiler=g95      GNU Fortran 95 Compiler
  --fcompiler=gnu95    GNU 95 Fortran Compiler
  --fcompiler=hpux     HP Fortran 90 Compiler
  --fcompiler=ibm      IBM XL Fortran Compiler
  --fcompiler=intel    Intel Fortran Compiler for 32-bit apps
  --fcompiler=intele   Intel Fortran Compiler for Itanium apps
  --fcompiler=intelev  Intel Visual Fortran Compiler for Itanium apps
  --fcompiler=intelv   Intel Visual Fortran Compiler for 32-bit apps
  --fcompiler=lahey    Lahey/Fujitsu Fortran 95 Compiler
  --fcompiler=mips     MIPSpro Fortran Compiler
  --fcompiler=nag      NAGWare Fortran 95 Compiler
  --fcompiler=none     Fake Fortran compiler
  --fcompiler=pg       Portland Group Fortran Compiler
  --fcompiler=sun      Sun|Forte Fortran 95 Compiler
  --fcompiler=vast     Pacific-Sierra Research Fortran 90 Compiler
List of unimplemented Fortran compilers:
  --fcompiler=f  Fortran Company/NAG F Compiler
For compiler details, run 'config_fc --verbose' setup command.
------
Importing numpy.distutils.cpuinfo ... ok
------
CPU information: getNCPUs has_3dnow has_3dnowext has_mmx has_sse has_sse2 is_64bit is_AMD is_Opteron ------







More information about the SciPy-user mailing list